# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(YAML/Tiny.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%define fedora 23
%if (0%{?fedora} <= 14) && !(0%{?rhel})
%define auto %{perl_vendor_archlib}/auto
%define archlib %{perl_vendor_archlib}
%else
%define auto %{perl_vendor_archlib}/auto
%define archlib %{perl_vendor_archlib}
%endif
%define _use_internal_dependency_generator 1

Name:           perl-Crypt-Cracklib
Version:        1.7
Release:        alt12_15
Summary:        Crypt-Cracklib - Perl interface to Alec Muffett's Cracklib

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Crypt-Cracklib/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Crypt-Cracklib-1.7.tar.gz

BuildRequires:  cracklib-devel
BuildRequires:  perl(inc/Module/Install.pm)
# Run-time:
BuildRequires:  perl(DynaLoader.pm)
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)

Patch0: automake.patch
# Detect gzipped dictionary 
# https://github.com/dsully/perl-crypt-cracklib/issues/1
Patch1:         Crypt-Cracklib-1.7-Detect-gzipped-dictionary.patch
Source44: import.info

%description
This module providers interaction with the system cracklib libraries.

%prep
%setup -q -n Crypt-Cracklib-%{version}
%patch0 -p0 -b .automake
%patch1 -p1
rm -rf inc

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
# %{_fixperms} $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -name Cracklib.bs -exec rm -f {} ';'

%files
%dir %{auto}/Crypt
%dir %{auto}/Crypt/Cracklib
%{archlib}/Crypt/Cracklib.pm
%{auto}/Crypt/Cracklib/*
%doc Changes README

%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt12_15
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt11_15
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.7-alt10_15
- rebuild with perl 5.30

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt9_15
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt8_15
- rebuild to get rid of unmets

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.7-alt7_15
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt6_15
- rebuild to get rid of unmets

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.7-alt5_15
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt5_14
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.7-alt4_14
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt4_12
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.7-alt3_12
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.7-alt3_11
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.7-alt3_10
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt3_8
- rebuild to get rid of unmets

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt2_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.7-alt2_6
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_6
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_4
- fc import

